Subject: Re: bug#5924: 23.1; accept-process-output switching current-buffer

From: Stefan Monnier <[email-masked]>
Date: Sat, 10 Apr 2010 22:54:44 -0400

> Reading the elisp manual doesn't indicate anywhere that a call such as 
>    (accept-process-output process)
> should change the current-buffer.

That depends on the code run during the wait.  I.e. it depends on the
code run by the process filters, sentinels, timers, ...

We've already fixed several bugs where process filters changed
current-buffer, but I think we should fix it not in the process filters
but in the code that run them.  At least, unless someone can come up
with a scenario where a process filter, sentinel, or timer would need
to change current-buffer.

        Stefan